using System;
using System.Collections.Generic;
using System.Text;
using com.paypal.sdk.services;
using com.paypal.sdk.util;

using Vevo.Domain.Configurations;
using Vevo.Domain.Orders;
using Vevo.Domain.Users;
using Vevo.Shared.Utilities;

namespace Vevo.Domain.Payments.PayPalProUS
{
    public class PayPalProUSGateway
    {
        //#region Private

        //private enum NvpPaymentMethod
        //{
        //    DoDirectPayment,
        //    CreateRecurringPaymentsProfile
        //}

        //private const string SalePaymentActionName = "Sale";

        //private const int ShipToNameMaxLength = 32;
        //private const int ShipToStreetMaxLength = 100;
        //private const int ShipToStreet2MaxLength = 100;
        //private const int ShipToCityMaxLength = 40;
        //private const int ShipToStateMaxLength = 40;
        //private const int ShipToZipMaxLength = 20;
        //private const int ShipToCountryCodeMaxLength = 2;
        //private const int ShipToPhoneNumMaxLength = 20;


        //private ConfigurationCollection _configurations;


        //public OrderAmount GetOrderAmount(
        //    CheckoutDetails checkoutDetails,
        //    CartItemGroup cartItemGroup,
        //    Customer customer )
        //{
        //    OrderCalculator orderCalculator = new OrderCalculator( _configurations );

        //    return orderCalculator.Calculate(
        //        checkoutDetails,
        //        cartItemGroup,
        //        customer,
        //        0 );
        //}

        //private DateTime GetUtcDateTime( DateTime dateTime )
        //{
        //    DateTime result = dateTime;
        //    if (_configurations.GetBoolValue( "UseCustomTimeZone" ))
        //    {
        //        string[] timeAdd = _configurations.GetValue( "CustomTimeZone" ).Split( '.' );
        //        if (timeAdd.Length > 1)
        //        {
        //            result = result.AddHours( Convert.ToDouble( timeAdd[0] ) );
        //            result = result.AddMinutes( Convert.ToDouble( timeAdd[1] ) );
        //        }
        //    }
        //    else
        //    {
        //        result = result.ToUniversalTime();
        //    }

        //    return result;
        //}

        //private string FormatProductName( CartItem cartItem, Culture culture, Currency currency )
        //{
        //    string productName = cartItem.GetName( culture, currency );
        //    if (productName.Length > 120)
        //        return String.Format( "{0}...", productName.Substring( 0, 117 ) );
        //    else
        //        return productName;
        //}

        //private void SetCreditCardInfo( NVPCodec encoder, CheckoutDetails checkout )
        //{
        //    encoder["CREDITCARDTYPE"] = checkout.CreditCardType;
        //    encoder["ACCT"] = checkout.CreditCardNumber;
        //    encoder["EXPDATE"] =
        //        checkout.ExpirationMonth.ToString( "00" ) + checkout.ExpirationYear.ToString( "0000" );
        //    encoder["CVV2"] = checkout.Cvv2;
        //    encoder["FIRSTNAME"] = checkout.BillingAddress.FirstName;
        //    encoder["LASTNAME"] = checkout.BillingAddress.LastName;
        //    encoder["STREET"] = checkout.BillingAddress.Address1;
        //    encoder["STREET2"] = checkout.BillingAddress.Address2;
        //    encoder["CITY"] = checkout.BillingAddress.City;
        //    encoder["STATE"] = checkout.BillingAddress.State;
        //    encoder["ZIP"] = checkout.BillingAddress.Zip;
        //    encoder["COUNTRYCODE"] = checkout.BillingAddress.Country;
        //}

        //public PayPalEncodingItem CreateNvpCodecNonRecurring(
        //    CheckoutDetails checkout,
        //    CartItemGroup cartItemGroup,
        //    Currency currency,
        //    Customer customer )
        //{
        //    NVPCodec encoder = new NVPCodec();

        //    encoder["METHOD"] = NvpPaymentMethod.DoDirectPayment.ToString();
        //    encoder["PAYMENTACTION"] = SalePaymentActionName;
        //    encoder["AMT"] = GetOrderAmount( checkout, cartItemGroup, customer ).Total.ToString( "f2" );
        //    encoder["CURRENCYCODE"] = currency.CurrencyCode;

        //    SetCreditCardInfo( encoder, checkout );

        //    return new PayPalEncodingItem( encoder, cartItemGroup, null, null );
        //}

        //public PayPalEncodingItem CreateNvpCodecRecurring(
        //    CheckoutDetails checkout,
        //    CartItemGroup cartItemGroup,
        //    Culture culture,
        //    Currency currency,
        //    Customer customer,
        //    string storefrontUrl )
        //{
        //    CartItem item = cartItemGroup.CartItems[0];

        //    NVPCodec encoder = new NVPCodec();

        //    encoder["VERSION"] = "50.0";
        //    encoder["METHOD"] = NvpPaymentMethod.CreateRecurringPaymentsProfile.ToString();
        //    encoder["NOTIFYURL"] = storefrontUrl + "Gateway/PayPalNotification.aspx";
        //    encoder["SUBSCRIBERNAME"] =
        //        (checkout.BillingAddress.FirstName + " " + checkout.BillingAddress.LastName).Trim();

        //    encoder["PROFILESTARTDATE"] = GetUtcDateTime( DateTime.Now ).ToString( "s" );

        //    encoder["DESC"] = FormatProductName( item, culture, currency );

        //    encoder["BILLINGPERIOD"] = item.RecurringIntervalUnit; // Day, Week, Month, Year
        //    encoder["BILLINGFREQUENCY"] = item.RecurringInterval.ToString();
        //    encoder["TOTALBILLINGCYCLES"] = String.Format( "{0}", item.RecurringNumberOfCycles );

        //    CartItemGroup regularRecurringGroup = cartItemGroup.CreateRegularRecurringGroup();

        //    OrderAmount regularOrderAmount = GetOrderAmount( checkout, regularRecurringGroup, customer );
        //    encoder["AMT"] = regularOrderAmount.Total.ToString( "f2" );

        //    encoder["CURRENCYCODE"] = currency.CurrencyCode;
        //    encoder["SHIPPINGAMT"] = "0";
        //    encoder["TAXAMT"] = "0";

        //    OrderAmount trialOrderAmount = new OrderAmount();
        //    if (item.RecurringNumberOfTrialCycles > 0)
        //    {
        //        encoder["TRIALBILLINGPERIOD"] = item.RecurringIntervalUnit;
        //        encoder["TRIALBILLINGFREQUENCY"] = item.RecurringInterval.ToString();

        //        trialOrderAmount = GetOrderAmount( checkout, cartItemGroup, customer );
        //        encoder["TRIALAMT"] = trialOrderAmount.Total.ToString( "f2" );
        //        encoder["TRIALTOTALBILLINGCYCLES"] = item.RecurringNumberOfTrialCycles.ToString();
        //    }

        //    encoder["SHIPTONAME"] = StringUtilities.Trim(
        //        checkout.ShippingAddress.FirstName + " " + checkout.ShippingAddress.LastName,
        //        ShipToNameMaxLength );
        //    encoder["SHIPTOSTREET"] = StringUtilities.Trim(
        //        checkout.ShippingAddress.Address1, ShipToStreetMaxLength );
        //    if (!String.IsNullOrEmpty( checkout.ShippingAddress.Address2 ))
        //        encoder["SHIPTOSTREET2"] = StringUtilities.Trim(
        //            checkout.ShippingAddress.Address2,
        //            ShipToStreet2MaxLength );
        //    encoder["SHIPTOCITY"] = StringUtilities.Trim( checkout.ShippingAddress.City, ShipToCityMaxLength );
        //    encoder["SHIPTOSTATE"] = StringUtilities.Trim( checkout.ShippingAddress.State, ShipToStateMaxLength );
        //    encoder["SHIPTOZIP"] = StringUtilities.Trim( checkout.ShippingAddress.Zip, ShipToZipMaxLength );
        //    encoder["SHIPTOCOUNTRYCODE"] =
        //        StringUtilities.Trim( checkout.ShippingAddress.Country, ShipToCountryCodeMaxLength );
        //    encoder["SHIPTOPHONENUM"] = StringUtilities.Trim( checkout.ShippingAddress.Phone, ShipToPhoneNumMaxLength );

        //    SetCreditCardInfo( encoder, checkout );

        //    return new PayPalEncodingItem( encoder, cartItemGroup, regularOrderAmount, trialOrderAmount );
        //}

        //#endregion


        //#region Constructors

        //public PayPalProUSGateway( ConfigurationCollection configurations )
        //{
        //    _configurations = configurations;
        //}

        //#endregion


        //#region Public Methods

        //public IList<PayPalEncodingItem> CreateNvpPackages(
        //    CheckoutDetails checkout,
        //    IList<CartItemGroup> cartItemGroups,
        //    Culture culture,
        //    Currency currency,
        //    Customer customer,
        //    string storefrontUrl )
        //{
        //    List<PayPalEncodingItem> encodingItems = new List<PayPalEncodingItem>();

        //    foreach (CartItemGroup cartItemGroup in cartItemGroups)
        //    {
        //        if (!cartItemGroup.IsRecurring)
        //        {
        //            encodingItems.Add( CreateNvpCodecNonRecurring(
        //                checkout, cartItemGroup, currency, customer ) );
        //        }
        //        else
        //        {
        //            encodingItems.Add( CreateNvpCodecRecurring(
        //                checkout, cartItemGroup, culture, currency, customer, storefrontUrl ) );
        //        }
        //    }

        //    return encodingItems;
        //}

        //#endregion

    }
}
