using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;

using Vevo.Domain.Configurations;
using Vevo.Domain.Orders;

namespace Vevo.Domain.Payments
{
    /// <summary>
    /// Summary description for PaymentMethod
    /// </summary>
    public abstract class PaymentMethod
    {
        #region Private

        private PaymentOption _paymentOption;
        private string _secondaryName = String.Empty;
        private string _poNumber = String.Empty;

        #endregion


        #region Constructors

        public PaymentMethod()
        {
        }

        #endregion


        #region Public Properties

        public static PaymentMethod Null
        {
            get { return NullPaymentMethod.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public PaymentOption PaymentOption
        {
            get { return _paymentOption; }
            set { _paymentOption = value; }
        }

        public abstract string Name
        {
            get;
        }

        public virtual string SecondaryName
        {
            get
            {
                return _secondaryName;
            }
            set
            {
                _secondaryName = value;
            }
        }

        public virtual string FullName
        {
            get
            {
                if (String.IsNullOrEmpty( SecondaryName ))
                    return Name;
                else
                    return Name + " (" + SecondaryName + ")";
            }
        }

        public virtual string PONumber
        {
            get
            {
                return _poNumber;
            }
            set
            {
                _poNumber = value;
            }
        }
        #endregion

    }
}
