﻿using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Stores;

namespace Vevo.Domain.Products
{
    public class ProductPrice
    {
        #region Private

        private string _productID;
        private decimal _price;
        private decimal _retailPrice;
        private decimal _wholeSalePrice;
        private decimal _wholeSalePrice2;
        private decimal _wholeSalePrice3;
        private string _storeID = "0";
        private bool _useDefaultPrice = true;
        private bool _useDefaultRetailPrice = true;
        private bool _useDefaultWholeSalePrice = true;
        private bool _useDefaultWholeSalePrice2 = true;
        private bool _useDefaultWholeSalePrice3 = true;

        #endregion


        #region Constructors
        public ProductPrice()
        {
        }

        public ProductPrice( string storeID )
        {
            _storeID = storeID;
        }

        #endregion


        #region Public Properties

        public string ProductID { get { return _productID; } set { _productID = value; } }
        public decimal Price { get { return _price; } set { _price = value; } }
        public decimal RetailPrice { get { return _retailPrice; } set { _retailPrice = value; } }
        public decimal WholesalePrice { get { return _wholeSalePrice; } set { _wholeSalePrice = value; } }
        public decimal WholesalePrice2 { get { return _wholeSalePrice2; } set { _wholeSalePrice2 = value; } }
        public decimal WholesalePrice3 { get { return _wholeSalePrice3; } set { _wholeSalePrice3 = value; } }
        public string StoreID { get { return _storeID; } set { _storeID = value; } }
        public bool UseDefaultPrice { get { return _useDefaultPrice; } set { _useDefaultPrice = value; } }
        public bool UseDefaultRetailPrice { get { return _useDefaultRetailPrice; } set { _useDefaultRetailPrice = value; } }
        public bool UseDefaultWholeSalePrice { get { return _useDefaultWholeSalePrice; } set { _useDefaultWholeSalePrice = value; } }
        public bool UseDefaultWholeSalePrice2 { get { return _useDefaultWholeSalePrice2; } set { _useDefaultWholeSalePrice2 = value; } }
        public bool UseDefaultWholeSalePrice3 { get { return _useDefaultWholeSalePrice3; } set { _useDefaultWholeSalePrice3 = value; } }

        #endregion

        #region Custom Properties
        #endregion

        #region Public Method

        public static decimal VerifyPrice(
            string storeID,
            string storeViewID,
            decimal enteredPrice,
            decimal defaultPrice,
            decimal price,
            bool useDefaultPrice,
            bool enteredUseDefaultPrice,
            out bool isUseDefaultPrice )
        {
            isUseDefaultPrice = true;

            if (storeID != storeViewID)
            {
                if (useDefaultPrice)
                {
                    if (storeViewID != Store.Null.StoreID)
                    {
                        return defaultPrice;
                    }
                    else
                    {
                        return enteredPrice;
                    }
                }
                else
                {
                    isUseDefaultPrice = false;
                    return price;
                }

            }
            else
            {
                if (enteredUseDefaultPrice)
                {
                    if (storeViewID != Store.Null.StoreID)
                    {
                        return defaultPrice;
                    }
                    else
                    {
                        return enteredPrice;
                    }
                }
                else
                {
                    isUseDefaultPrice = false;
                    return enteredPrice;
                }
            }
        }


        #endregion
    }
}
