﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using Vevo.WebServices.Base;
using Vevo.WebServices.Security;
using Vevo.Domain;
using Vevo.WebAppLib;

namespace Vevo.WebServices.Cultures
{
    public class CultureService : ICultureService
    {
        private CultureConstraints ConvertCultureToConstraints( Culture culture )
        {
            CultureConstraints constraints = new CultureConstraints();
            constraints.CultureID = culture.CultureID;
            constraints.Display = culture.DisplayName;
            constraints.Enabled = culture.Enabled;
            constraints.Name = culture.Name;
            return constraints;
        }

        public CultureListResponseMessage ListAllCultures( RequestMessage ListMessage )
        {
            CultureListResponseMessage responseMessage = new CultureListResponseMessage();
            if (WcfSessionPool.GetSession( ListMessage.Ticket ) == null)
            {
                responseMessage.ErrorMessage = "Error: Authentication is failed.";
                return responseMessage;
            }
            try
            {
                IList<Culture> culture_result = DataAccessContext.CultureRepository.GetAll();
                responseMessage.Cultures = new List<CultureConstraints>();
                foreach (Culture culture in culture_result)
                {
                    responseMessage.Cultures.Add( ConvertCultureToConstraints( culture ) );
                }
            }
            catch (Exception e)
            {
                WebUtilities.LogError( e );
                responseMessage.ErrorMessage = "Error: Cannot get cultures from repository";
            }

            return responseMessage;
        }
    }
}
